Subject: RE: [Tsvwg] Section 4.3.1 sctpsocket-02.txt

From: "Kimble Scott (NET/MtView)" <[email-masked]>
Date: Wed, 2 Jan 2002 15:59:06 -0800

Here is some additional information on the backlog value.  I could not
locate a POSIX standard for listen(2).

The proposed meaning of a backlog value of 0 is reasonable.  However,
the protocol layer would now be responsible for something that has
traditionally been handled by the "socket layer".  Why not use a
negative value like the UNIX 98 standard suggests?

The UNIX 98 standard states that a backlog value less than 0 will set
the socket's listen queue to 0.  See
http://www.opengroup.org/pubs/catalog/t912.htm

sonewconn() was designed with a "fudge factor" such that listen(fd, 0)
will allow at least one connection.  See "TCP Illustrated Volume 2", p
463, or the description of sonewconn().

FreeBSD-4.2, NetBSD use the "fudge factor" algorithm.
Linux-2.2.12 sets a backlog value of 0 to 1.  And does not use the
"fudge factor".
Solais ???
HP-UX ???

-----Original Message-----
From: ext Randall Stewart [mailto:[email-masked]]
Sent: Monday, December 31, 2001 6:47 AM
To: Scott Kimble
Cc: [email-masked]
Subject: Re: [Tsvwg] Section 4.3.1 sctpsocket-02.txt

Scott:

After some inter-author discussion. My co-authors feel that
the zero back-log is not specified in posix to have any
meaning. In other words it is an implementation choice.
As such different platforms do different things with a zero
backlog...  Thus they wanted to use this feature as a way
to turn off accepting connections.

I have no qualms about instead adding another socket option 
that enables/disables connections.. this is how it
originally was laid out... If you can convince my co-authors
we can do this.. but for now I will leave it as is :>

R

Scott Kimble wrote:
> 
> I may have missed the discussion on this issue.
> 
> Section 4.3.1 defines new meaning to a zero valued backlog parameter
to
> listen().
> 
> Historically, when the backlog parameter of listen() is zero, at least
> one connection may be established.
> 
> Is it really the intention of the SCTP Socket API's draft to change
the
> meaning of the backlog parameter when it is zero?
> 
> --
> [email-masked]
> Office 1.650.864.6587
> Mobile 1.650.743.7903
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg